Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156352 - hardlink segfaults with --help
Summary: hardlink segfaults with --help
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-utils
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 08:44 UTC by Tim Waugh
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 06:38:33 UTC


Attachments (Terms of Use)
kernel-utils-hardlink.patch (deleted)
2005-04-29 08:44 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2005-04-29 08:44:57 UTC
Description of problem:
'hardlink --help' segfaults in usage().

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.49_FC3

How reproducible:
100%

Steps to Reproduce:
1. hardlink --help
  
Actual results:
Segfault.

Expected results:
Usage message.

Additional info:
See patch containing fix.

Comment 1 Tim Waugh 2005-04-29 08:44:57 UTC
Created attachment 113823 [details]
kernel-utils-hardlink.patch

Comment 2 Dave Jones 2005-04-29 22:25:51 UTC
fixed in cvs. I'll push this out when I do an errata on this package next.
It doesn't really seem worth pushing one out just for this.



Note You need to log in before you can comment on or make changes to this bug.